AsterNet Class Library (Sandcastle documentation)

| AsteriskFastAGI Class

[Missing <summary> documentation for "T:AsterNET.FastAGI.AsteriskFastAGI"]

Inheritance Hierarchy
System
Object
AsterNET.FastAGI
AsteriskFastAGI

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class AsteriskFastAGI

    Public Class AsteriskFastAGI

    public ref class AsteriskFastAGI

    type AsteriskFastAGI =  class end

The AsteriskFastAGI type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| AsteriskFastAGI | Creates a new AsteriskFastAGI.
| AsteriskFastAGI(String) | Creates a new AsteriskFastAGI.
| AsteriskFastAGI(IMappingStrategy) | Creates a new AsteriskFastAGI.
| AsteriskFastAGI(Int32, Int32) | Creates a new AsteriskFastAGI.
| AsteriskFastAGI(String, Int32, Int32) | Creates a new AsteriskFastAGI.
| AsteriskFastAGI(IMappingStrategy, String, Int32, Int32) | Initializes a new instance of the AsteriskFastAGI class
| AsteriskFastAGI(String, Int32, Int32, Boolean, Boolean) | Initializes a new instance of the AsteriskFastAGI class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| Start |
| Stop |
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| SC511_CAUSES_EXCEPTION | If set to true, causes the AGIChannel to throw an exception when a status code of 511 (Channel Dead) is returned. This is set to false by default to maintain backwards compatibility
| SCHANGUP_CAUSES_EXCEPTION | If set to true, causes the AGIChannel to throw an exception when return status is 0 and reply is HANGUP. This is set to false by default to maintain backwards compatibility

Top
Properties

| Name | Description
--- | --- | ---
| BindPort | Sets the TCP port to listen on for new connections. The default bind port is 4573.
| MappingStrategy | Sets the strategy to use for mapping AGIRequests to AGIScripts that serve them. The default mapping is a MappingStrategy.
| PoolSize | Sets the number of worker threads in the thread pool. This equals the maximum number of concurrent requests this AGIServer can serve. The default pool size is 10.
| SocketEncoding |

Top
See Also

#### Reference

AsterNET.FastAGI Namespace